Redmine - Defect #12252

All Integration API Tests fail
2012-10-29 20:32 - Gabriel Mazetto

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 21.2
Description

I'm probably doing something wrong, but | followed the instructions and common sense steps to run Integration tests for the API, and
got the following result:

Finished in 26.495165 seconds.

309 tests, 338 assertions, 61 failures, 11 errors, 0 pendings, 0 omissions, 0 notifications
0% passed

11.66 tests/s, 12.76 assertions/s
Many, if not all, failed with a 500 error.

| did the following to setup the database:
rake db:create RAILS_ENV=test

rake db:schema:load RAILS_ENV=test
ruby test/integration/api_test/issues_test.rb

History

#1 - 2012-10-30 08:24 - Jean-Philippe Lang
- Category deleted (REST API)
- Priority changed from High to Normal

All the tests run OK on the Cl server: http://www.redmine.org/builds/index.html.
Maybe you could provide the stack trace of one these errors?

#2 - 2012-10-30 16:45 - Gabriel Mazetto

| identified that all of them was related with the "EmailWatcher" plugin, as it follows:
NameError (uninitialized constant Issue::EmailWatcher) :

| don't know exactly what is the expected behavior, if it is to initialize plugins before testing, or what, but there is definitely a problem here.

#3 - 2012-10-30 20:52 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Plugins are loaded before running tests. I'm closing it since it's a plugin issue.
